Subject: Re: [PATCH] sctp: chunkmap size is too large

From: Patrick McHardy <[email-masked]>
Date: Mon, 09 Feb 2009 14:50:19 +0100

David Miller wrote:
> From: Olivier MATZ <[email-masked]>
> Date: Fri, 30 Jan 2009 16:43:07 +0100
> 
>> I think that the chunkmap field in struct xt_sctp_info is
>> too large: we have 256 chunk types and it's a bitfield,
>> so the table should be 256 bits (8 uint32_t) instead
>> of 64 uint32_t.
>>
>> I updated the size of the table, and I did some cosmetic
>> changes in SCTP_CHUNKMAP_* macros (use a mask instead of
>> a modulo).
>>
>>   netfilter/xt_sctp.h       |   30 ++++++++++++++++--------------
>>   netfilter_ipv4/ipt_sctp.h |   30 ++++++++++++++++--------------
>>   2 files changed, 32 insertions(+), 28 deletions(-)
>>
>> Can someone have a look at it ? Please CC me for any replies
>> as I'm not on the list.
> 
> Patrick, I assume you got this?

Sorry for the delay. As Jan already noticed, it changes the ABI,
so we change it without adding a new revision. And I don't think
a few bytes of memory savings justify that.